import { html } from "lit";
import { renderButton } from "../button.js";
import copy from "../../../images/copy.js";
import "../atomic-icon/atomic-icon.js";
const renderCopyButton = ({ props })=>{
    const classes = [
        'rounded-md',
        'p-2'
    ];
    if (props.isCopied) classes.push('copied');
    if (props.error) classes.push('error');
    return renderButton({
        props: {
            title: props.title,
            part: 'copy-button',
            style: 'text-transparent',
            class: classes.join(' '),
            onClick: props.onClick
        }
    })(html`
    <div class="icon-container text-neutral-dark">
      <atomic-icon class="w-5" .icon=${copy}></atomic-icon>
    </div>
  `);
};
export { renderCopyButton };
